Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface DottedNames

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  ConfigDottedNames, MonitoringDottedNames

public interface DottedNames
extends AMX

Programmatic access to dotted-names corresponding to asadmin CLI functionality.

Note that the set of dotted names is periodically refreshed; to force an update use `refresh()`.

See Also:
  `DottedNames`, `AllDottedNames`, `ConfigDottedNames`, `MonitoringDottedNames`

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.Object` | `dottedNameGet(java.lang.String name)` Return a value for a dotted-name.
`java.lang.Object[]` | `dottedNameGet(java.lang.String[] names)` Return an array of values corresponding to each dotted-name.
`java.lang.Object[]` | `dottedNameList(java.lang.String[] names)` List all valid prefixes for dotted names
`java.lang.Object[]` | `dottedNameSet(java.lang.String[] nameValuePairs)` Set values for dotted names; each entry must be of the form: dotted-name=value
`void` | `refresh()` Force a refresh of the list of dotted names.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### dottedNameGet

    public java.lang.Object[] dottedNameGet(java.lang.String[] names)

  Return an array of values corresponding to each dotted-name. Each slot in the array will contain either an Attribute or an Exception.

### dottedNameGet

    public java.lang.Object dottedNameGet(java.lang.String name)

  Return a value for a dotted-name. If a name does not exist, then null is returned.

### dottedNameList

    public java.lang.Object[] dottedNameList(java.lang.String[] names)

  List all valid prefixes for dotted names

### dottedNameSet

    public java.lang.Object[] dottedNameSet(java.lang.String[] nameValuePairs)

  Set values for dotted names; each entry must be of the form:

                  dotted-name=value

### refresh

    public void refresh()

  Force a refresh of the list of dotted names.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.